Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

mix up in the package installation order in the presence of source packages #301

Closed
IndrajeetPatil opened this issue Feb 20, 2019 · 1 comment

Comments

@IndrajeetPatil
Copy link

IndrajeetPatil commented Feb 20, 2019

krlmlr/r-appveyor#134

@IndrajeetPatil
Copy link
Author

IndrajeetPatil commented Jun 30, 2019

Is r-AppVeyor currently not using the latest version of remotes (with 800ca64 included)?

Because I am still getting the same issue:
https://ci.appveyor.com/project/IndrajeetPatil/ggstatsplot/build/job/4dpn016hchn8qd2v

This time it is concerned with dplyr and pillar-

image

And dplyr can't be downloaded because pillar is not found-

Error in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]) : 
  there is no package called 'pillar'
Calls: <Anonymous> ... loadNamespace -> withRestarts -> withOneRestart -> doWithOneRestart
Execution halted
ERROR: lazy loading failed for package 'dplyr'
* removing 'c:/RLibrary/dplyr'
Error in i.p(...) : 
  (converted from warning) installation of package 'dplyr' had non-zero exit status

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

No branches or pull requests

1 participant